Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PhysxJointLimitDesc Class Reference

Describes a joint limit. More...

`#include "physxJointLimitDesc.h"`

## Public Member Functions
| PhysxJointLimitDesc (float value, float restitution, float hardness)
float | get_hardness () const
float | get_restitution () const
float | get_value () const
void | set_hardness (float hardness)
void | set_restitution (float restitution)
void | set_value (float value)

## Public Attributes
NxJointLimitDesc | _desc

## Detailed Description

Describes a joint limit.

Definition at line 24 of file physxJointLimitDesc.h.

## Constructor & Destructor Documentation

## ◆ PhysxJointLimitDesc() [1/2]

PhysxJointLimitDesc::PhysxJointLimitDesc | ( |  | ) |
| inline

Definition at line 17 of file physxJointLimitDesc.I.

## ◆ PhysxJointLimitDesc() [2/2]

PhysxJointLimitDesc::PhysxJointLimitDesc | ( | float | value,
|  | float | restitution,
|  | float | hardness )
| inline

Definition at line 25 of file physxJointLimitDesc.I.

## ◆ ~PhysxJointLimitDesc()

PhysxJointLimitDesc::~PhysxJointLimitDesc | ( |  | ) |
| inline

Definition at line 36 of file physxJointLimitDesc.I.

## Member Function Documentation

## ◆ get_hardness()

float PhysxJointLimitDesc::get_hardness | ( |  | ) | const

Definition at line 64 of file physxJointLimitDesc.cxx.

## ◆ get_restitution()

float PhysxJointLimitDesc::get_restitution | ( |  | ) | const

Definition at line 55 of file physxJointLimitDesc.cxx.

## ◆ get_value()

float PhysxJointLimitDesc::get_value | ( |  | ) | const

Definition at line 46 of file physxJointLimitDesc.cxx.

## ◆ set_hardness()

void PhysxJointLimitDesc::set_hardness | ( | float | hardness | ) |

Definition at line 37 of file physxJointLimitDesc.cxx.

## ◆ set_restitution()

void PhysxJointLimitDesc::set_restitution | ( | float | restitution | ) |

Definition at line 28 of file physxJointLimitDesc.cxx.

## ◆ set_value()

void PhysxJointLimitDesc::set_value | ( | float | value | ) |

Definition at line 19 of file physxJointLimitDesc.cxx.

## Member Data Documentation

## ◆ _desc

NxJointLimitDesc PhysxJointLimitDesc::_desc

Definition at line 40 of file physxJointLimitDesc.h.

The documentation for this class was generated from the following files:

- panda/src/physx/physxJointLimitDesc.h
- panda/src/physx/physxJointLimitDesc.cxx
- panda/src/physx/physxJointLimitDesc.I